UbixOS V2 2.0

Data Fields
syscall_entry Struct Reference

`#include <syscalls.h>`

Collaboration diagram for syscall_entry:

## Data Fields
int | sc_args
sys_call_t * | sc_entry
char * | sc_name
int | sc_status

## Detailed Description

Definition at line 51 of file syscalls.h.

## Field Documentation

## ◆ sc_args

int syscall_entry::sc_args

Definition at line 52 of file syscalls.h.

## ◆ sc_entry

sys_call_t* syscall_entry::sc_entry

Definition at line 54 of file syscalls.h.

## ◆ sc_name

char* syscall_entry::sc_name

Definition at line 53 of file syscalls.h.

Referenced by sys_call(), and sys_call_posix().

## ◆ sc_status

int syscall_entry::sc_status

Definition at line 55 of file syscalls.h.

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/ubixos/syscalls.h